# DescribeInstanceInternetStatus

## 1. API Description

This API (DescribeInstanceInternetStatus) is used to query the bandwidth and traffic package status of a virtual machine instance.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                                                      |
| -------------- | -------- | ------ | -------------------------------------------------------------------------------------------------------------------------------- |
| instanceId     | Yes      | String | <p>Instance ID(s).</p><p>To obtain the instance IDs, you can call DescribeInstances and look for instanceId in the response.</p> |

## 3. Output Parameters

| Parameter Name                  | Type    | Description                                                                                                                                               |
| ------------------------------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------- |
| requestId                       | String  | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p>                                     |
| instanceId                      | String  | Instance ID.                                                                                                                                              |
| instanceName                    | String  | Instance name.                                                                                                                                            |
| internetMaxBandwidthOut         | Integer | Current instance bandwidth.                                                                                                                               |
| modifiedInternetMaxBandwidthOut | Integer | <p>Modified instance bandwidth.</p><p>The value may be empty, indicating that no valid value has been obtained.</p>                                       |
| modifiedBandwidthStatus         | String  | <p>Status of instance bandwidth.</p><p>Processing: modifying.</p><p>Enable: effective now.</p><p>WaitToEnable: effective in next billing cycle.</p>       |
| trafficPackageSize              | Float   | <p>Current instance traffic package.</p><p>Unit: TB.</p>                                                                                                  |
| modifiedTrafficPackageSize      | Float   | <p>Modified instance traffic package.</p><p>Unit: TB.</p>                                                                                                 |
| modifiedTrafficPackageStatus    | String  | <p>Status of instance traffic package.</p><p>Processing: modifying.</p><p>Enable: effective now.</p><p>WaitToEnable: effective in next billing cycle.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query status of instance flat rate bandwidth.**

```javascript
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeInstanceInternetStatus
<Common Request Params>

Request：
{
  "instanceId": "instanceId"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {  
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "instanceId": "xx",
    "instanceName": "xx",
    "internetMaxBandwidthOut": "100",
    "modifiedInternetMaxBandwidthOut": null,
    "modifiedBandwidthStatus": "Enable",
    "trafficPackageSize": null,
    "modifiedTrafficPackageSize": null,
    "modifiedTrafficPackageStatus": null
   }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/vm/virtual-machine-instance/describeinstanceinternetstatus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
